# matrixout 함수가 정방행렬 mx를 출력
def matrixout(mx, size):
    print("\u250c           \u2510")
    for i in range(0, size):
        print("| ", end = "")
        for j in range(0, size):
            print("%2d" % mx[i][j], end = " ")
        print(" |")
    print("\u2514           \u2518")
a = [[2,0,3],[2,5,3],[1,0,8]]       # 정방행렬 A
b = [[2,4,3],[2,5,6],[1,0,5]]       # 정방행렬 B
c = [[0,0,0],[0,0,0],[0,0,0]]       # 정방행렬 C
d = [[0,0,0],[0,0,0],[0,0,0]]       # 정방행렬 D
print("행렬 A : ")
matrixout(a, 3)                     # 정방행렬 A를 출력
print()
print("행렬 B : ")                  # 정방행렬 B를 출력
matrixout(b, 3)
print()
print("A + B: ")
# 정방행렬 A와 B의 합을 행렬 C에 저장하고 C를 출력
for i in range(0,3):
    for j in range(0,3):
        c[i][j] = a[i][j] + b[i][j]
matrixout(c, 3)        

# 정방행렬 A와 B의 곱을 계산해서 행렬 D에 대입
for i in range(0,3):
    for j in range(0,3):
        for k in range(0,3):
            d[i][j] += a[i][k] * b[k][j];
print()
print("A x B: ")
matrixout(d, 3)             # 정방행렬 D를 출력 
